본문

Mysql Client를 사용시 나오는 1251오류 해결하기


Could not connect using : [DB]
1251 - Client does not support authentication protocolrequested by server: consider upgrading MySQL client(you need to upgrade libmySQL.dll in C;\Program Files\NuSphere\PhpED directory to version 4.1 or higher)

이 오류는 위에 설명되어있는대로, 현재의 mysql클라이언트 버전에서는 서버에서 요구하는 인증 프로토콜을 사용할 수 없다는 의미이다. 내 경우는 PhpED에서 Mysql Client를 사용하려 할 때 발생했었는데 확인해 보니 dll파일이 2004년에 만들어 진거라 너무 오래돼서 발생한 경우로, 아래에 첨부된 파일을 다운로드 받아 C;\Program Files\NuSphere\PhpED에 복사하여 덮어 씌워주니 문제가 해결되었다. 다른 클라이언트들도 이와 같은 방법으로 클라이언트의 dll을 교체해 주면 된다. 아래 파일은 MYSQL 5.1.41 에서 추출한 것이다.

저작자 표시 비영리 변경 금지
신고

댓글 0

Holic Spirit :: Tistory Edition

design by tokiidesu. powerd by kakao.

티스토리 툴바